<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.example.swipeit">

    <uses-permission android:name="android.permission.FOREGROUND_SERVICE" />
    <uses-permission android:name="android.permission.SYSTEM_ALERT_WINDOW" />
    <uses-permission android:name="android.permission.ACTION_MANAGE_OVERLAY_PERMISSION" />
    <uses-permission android:name= "android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_BACKGROUND_LOCATION" />


    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_app_icon"
        android:label="@string/app_name"
        android:roundIcon="@mipmap/ic_launcher_round"
        android:supportsRtl="true"
        android:theme="@style/AppTheme">
        <activity android:name=".MainActivity"
            android:windowSoftInputMode="stateAlwaysVisible|adjustResize">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <receiver
            android:name= ".service.DeviceAdmin"
            android:label= "@string/app_name"
            android:permission= "android.permission.BIND_DEVICE_ADMIN" >
            <meta-data
                android:name= "android.app.device_admin"
                android:resource= "@xml/policies" />
            <intent-filter>
                <action android:name= "android.app.action.DEVICE_ADMIN_ENABLED" />
            </intent-filter>
        </receiver>
        <service android:name=".service.GatherDataBackgroundService" android:foregroundServiceType="location"/>
        <service android:name=".service.LocationService" android:foregroundServiceType="location"/>
    </application>

</manifest>